// CSnowRoutine.h: interface for the CSnowRoutine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CSnowROUTINE_H__413FF819_B711_4B5A_8EC1_580A70862BE4__INCLUDED_)
#define AFX_CSnowROUTINE_H__413FF819_B711_4B5A_8EC1_580A70862BE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <Windows.h>

class CSnowRoutine  
{
public:
	CSnowRoutine();
	virtual ~CSnowRoutine();

	// Functs (public)
	void		Create(int iWidth, int iHeight);
	void		Render(DWORD* pVideoMemory);
   void 		Calculate();

	void		InitPallette();
	void		ClrHotSpots();

   
	unsigned char	Average(int x, int y);

	// props
	int			m_iWidth;
	int			m_iHeight;
	int			m_iAlpha;
	int			m_iFlameHeight;
	int			m_iSnowSource;//The y position for the lit spots
	int			m_iSnowChance;
	int			m_iAvgFlameWidth;

	COLORREF	m_SnowColors[4];

	BYTE*	m_pSnowBits;
	DWORD   m_pPalletteBuffer[256];
	long*	m_pYIndexes;


};

#endif // !defined(AFX_CSnowROUTINE_H__413FF819_B711_4B5A_8EC1_580A70862BE4__INCLUDED_)
