// TwirlRoutine.h: interface for the CTwirlRoutine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(TWIRL_ROUTINE_H)
#define TWIRL_ROUTINE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <windows.h>

class CTwirlRoutine  
{
public:
	CTwirlRoutine();
	virtual ~CTwirlRoutine();


	// Methods
	void		Create(int iWidth,int iHeight);
	void 		Render(DWORD* pSrcImage,DWORD* pTargetImage);
	void		Calculate();

	void		InitPallette();
	void		InitCostBLTable();


	// Props
	int			m_iWidth;
	int			m_iHeight;
   int 			step;
   int 			direccion;
   int 			maxTwirl;

	float tsin[512],tcos[512];
};


#endif // !defined(AFX_TwirlRoutine_H__29FFEFB6_A053_483E_8CB6_676A1B6F6DAC__INCLUDED_)
